Subject: Re: [TopGit PATCH] .gitignore += vim swap files

From: Andreas Ericsson <[email-masked]>
Date: Fri, 19 Sep 2008 09:51:25 +0200

Kirill Smelkov wrote:
> On Fri, Sep 19, 2008 at 09:10:24AM +0200, Bert Wesarg wrote:
>> On Fri, Sep 19, 2008 at 07:06, Kirill Smelkov <[email-masked]> wrote:
>>> On Thu, Sep 18, 2008 at 03:30:35PM -0400, Daniel Barkalow wrote:
>>>> On Thu, 18 Sep 2008, Bert Wesarg wrote:
>>>>
>>>>> On Thu, Sep 18, 2008 at 18:29, Kirill Smelkov <[email-masked]> wrote:
>>>>>> Signed-off-by: Kirill Smelkov <[email-masked]>
>>>>>> ---
>>>>>>  .gitignore |    2 ++
>>>>>>  1 files changed, 2 insertions(+), 0 deletions(-)
>>>>>>
>>>>>> diff --git a/.gitignore b/.gitignore
>>>>>> index 8868f2d..aa39db4 100644
>>>>>> --- a/.gitignore
>>>>>> +++ b/.gitignore
>>>>>> @@ -18,3 +18,5 @@ tg-import.txt
>>>>>>  tg-remote
>>>>>>  tg-remote.txt
>>>>>>  tg
>>>>>> +
>>>>>> +*.swp
>>>>> can't you do this in your .git/info/excludes?
>>>> It's generally better to put a core.excludesfile entry in your
>>>> ~/.gitconfig pointing to a ignore file with editor temporaries for the
>>>> editor(s) you personally use. This will then apply to all git projects you
>>>> work on.
>>> Yes, this makes sense, thanks.
>>>
>>> I've had to add the following to my ~/.gitconfig
>>>
>>> [core]
>>>    excludesfile= /home/kirr/.gitignore-kirr
>>>
>>>
>>> because it does not work when '~' is used for $HOME
>>>
>>> [core]
>>>    excludesfile= ~/.gitignore-kirr # does not work
>> Have you tried:
>>
>>   [core]
>>      excludesfile = .gitignore-kirr
>> There was a discussion about relative files in config. but I didn't tried this.
> 
> It does not work for me -- it picks ./.gitignore-kirr instead of
> ~/.gitignore-kirr
> 
>> Anyway, I think this is the best solution. Don't globber the repos with this.
> 
> Don't you care more about machines than humans? :)
> 
> I think when we work on a tree, all the autogenerated files should be
> ignored. This includes *.o and friends for sure, but since we also use
> editors, and most people use same editors it makes sense to tune repo to
> be ready to hack on with common setups.
> 

Most people do not use same editors. In our office there's 8 programmers
and 6 editors in use (geany, jed, vim, nedit, zend studio, kate).

> And I think this
> 
> http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff;h=7088655477b51a5a248fa54190388e1283ba7ebf
> 
> just justifies my words.
> 

If topgit had 4374 contributors since 10 minor versions back, I'd be
more inclined to agree with you. Even so, you'll have to accept that
this patch gets dropped[1] and stop trying to argue for it after it's
already been discussed (at length).

[1]
I'm not too sure who the topgit maintainer actually is, but the majority
seem to be against this patch.

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se
Tel: +46 8-230225                  Fax: +46 8-230231